package com.infoepoch.pms.agent.platform.chat.domain.irepository;

import com.infoepoch.pms.agent.platform.chat.domain.Session;

import java.util.List;

/**
 * @author jiangyz
 * @date 2026/4/17 17:18
 * 对话会话表仓储接口
 */
public interface ISessionRepository {

    /**
     * 新增
     * @param: [entity]
     */
    boolean insert(Session entity);

    /**
     * 更新
     * @param: [entity]
     */
    boolean update(Session entity);

    /**
     * 批量新增
     * @param: [entitys]
     */
    int[] batchInsert(List<Session> entitys);

    /**
     * 批量更新
     * @param: [entitys]
     */
    int[] batchUpdate(List<Session> entitys);

    /**
     * 删除
     * @param: [id]
     */
    boolean delete(String id);

    // region select

    /**
     * 根据Id查询
     * @param: [id]
     */
    Session selectById(String id);

    /**
     * 根据查询条件查询单个对象
     * @param: [criteria]
     */
    Session selectOneByCriteria(SessionCriteria criteria);

    /**
     * 根据查询条件查询对象集合
     * @param: [criteria]
     */
    List<Session> selectByCriteria(SessionCriteria criteria);

    /**
     * 根据查询条件分页查询对象结合
     * @param: [criteria, pageNum, pageSize]
     */
    List<Session> selectCriteriaByPage(SessionCriteria criteria, int pageNum, int pageSize);

    /**
     * 根据条件查询对象总记录数
     * @param: [criteria]
     */
    Integer selectCountByCriteria(SessionCriteria criteria);

    // endregion

}
